@echo off
echo Microscope User Manual - [Print the Manual]
echo ==================================================================
echo Print will be to LPT1 by default!
echo To send to another Printer, include a number in the command line:-
echo 1 = LPT1  3 = COM1
echo 2 = LPT2  4 = COM2
echo Example: MANPRINT 2    ...will send to LPT2 etc.,
echo Press CTRL C if you wish to abort NOW (or) while printing
echo About to print...PLEASE ENSURE PRINTER IS READY!
echo (You'll need 56 pages of A4 paper)
pause
IF ARG==ARG%1 goto port1
if %1==1 goto port1
if %1==2 goto port2
if %1==3 goto port3
if %1==4 goto port4
goto port1
goto end
:port1
ECHO Printing to Serial Printer on Port 1
TYPE MANUAL2.UK > LPT1
goto end
:port2
ECHO Printing to Serial Printer on Port 2
TYPE MANUAL2.UK > LPT2
goto end
:port3
ECHO Printing to Parallel Printer on Port 3
TYPE MANUAL2.UK > COM1
goto end
:port4
ECHO Printing to Parallel Printer on Port 4
TYPE MANUAL2.UK > COM2
goto end
:end